Subject: RE: [mobile-ip] New Draft: draft-muhanna-mobileip-compat-00.txt

From: "Ahmad Muhanna" <[email-masked]>
Date: Mon, 24 Jun 2002 09:21:39 -0500

Hello Behcet;
Thanks a lot for your comment.

Some times reading the abstract alone does not help in getting the 
whole picture. I hardly can see how it would be solvable with SNMP MIB's.

I really appreciate it if you allocate some of your time to read the draft. 
Thanks a lot in advance.

Regards; 
Ahmad Muhanna 

-----Original Message-----
From: Behcet Sarikaya [mailto:[email-masked]]
Sent: Friday, June 21, 2002 1:46 PM
To: Muhanna, Ahmad [RICH1:2Q20:EXCH]
Cc: 'mobile-ip'
Subject: Re: [mobile-ip] New Draft: draft-muhanna-mobileip-compat-00.txt

Ahmad,
  I have not read your draft but from the abstract this sounds like
something that can be done with MIB, although it would probably be static.
Have you formulated the change as a modified MIB? Then SNMP would solve your
problem.
  If you are proposing further changes to MIPv4 then this might take us into
a backward compatibility loop.
Regards,

Ahmad Muhanna wrote:

Hello all,
In response to the need of a dynamic mechanism as part of Mobile IPv4 
registration to synchronize the version of the standards used by all 
Mobile IPv4 entities, I have submitted a new draft to the Mobile IP 
WG with the following abstract:
Abstract
   Mobile-IP, together with several other supporting standards such
   as Reverse Tunneling and the Challenge-Response extensions, have
   all been recently revised.  Although such revisions are for the
   most part backward compatible with the original versions,
   sometimes static configuration of Mobile Nodes and Mobility Agents
   is required to ensure smooth transition and avoid any possible
   conflict between different standard versions implemented by
   already-deployed equipment.  In this draft we define compatibility
   extensions for Mobile-IP Agent Advertisement, Registration Request
   and Registration Reply messages that allow all Mobile-IPv4
   entities to dynamically synchronize their "compatibility
   versions", defined as the versions of the Mobile-IP standards that
   a particular node is able to support.  This solution offers a
   dynamic mechanism which informs all entities involved in a
   Mobile-IP exchange of the version of the standard they support,
   therefore reducing the need to statically configure such
   information at Mobile Nodes or Mobility Agents.

Until it shows up in the drafts directory, it is on the co-author Luca
Salgarelli web
page. To get to it, please use the following link:
http://www.bell-labs.com/user/salga/doc/draft-muhanna-mobileip-compat-00.txt

Regards;
Ahmad Muhanna

-- 
Behcet

---

From: "Glenn Morrow" <[email-masked]>
Date: Tue, 25 Jun 2002 09:55:50 -0500

Behcet,
 
Thanks for the initial comment but the ID is intended to address some of the
backward compatibility loop issues when the tag length value extension
mechanism becomes too cumbersome or results in excessive bloat. The version
extension allows the values of tags to change over versions as well as tags
to be re-used when obsoleted. The version can also be used to set rules for
specific tags that are compatible with a particular version.  I'm not sure
if SNMP can achieve the same thing but after you have read the draft, please
detail how SNMP could be used to achieve the same functions if you still
believe it is a workable solution. Note that in some form-factor nodes the
use of SNMP is not warranted or desireable.
 
Thanks again,
 
Glenn

-----Original Message-----
From: Behcet Sarikaya [mailto:[email-masked]]
Sent: Friday, June 21, 2002 1:46 PM
To: Muhanna, Ahmad [RICH1:2Q20:EXCH]
Cc: 'mobile-ip'
Subject: Re: [mobile-ip] New Draft: draft-muhanna-mobileip-compat-00.txt

Ahmad,

Ahmad Muhanna wrote:

Hello all,

Abstract

http://www.bell-labs.com/user/salga/doc/draft-muhanna-mobileip-compat-00.txt
<http://www.bell-labs.com/user/salga/doc/draft-muhanna-mobileip-compat-00.tx
t>  

Regards;
Ahmad Muhanna

-- 

Behcet